Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Attributes | List of all members
b2ContactImpulse Struct Reference

`#include <b2WorldCallbacks.h>`

## Public Attributes
float32 | normalImpulses [b2_maxManifoldPoints]
float32 | tangentImpulses [b2_maxManifoldPoints]
int32 | count

## Detailed Description

Contact impulses for reporting. Impulses are used instead of forces because sub-step forces may approach infinity for rigid body collisions. These match up one-to-one with the contact points in b2Manifold.

The documentation for this struct was generated from the following file:

- b2WorldCallbacks.h